//------------------------------------------------------------------------------
/// \file RefineConfiguration.hpp
//
// Author(s):
//    Frank Tackmann
//
// Copyright:
//    Copyright (C) 2017 DESY
//
//    This file is part of the Geneva MC framework. Geneva is distributed under
//    the terms of the GNU General Public License version 3 (GPLv3), see the
//    COPYING file that comes with this distribution for details.
//    Please respect the academic usage guidelines in the GUIDELINES file.
//
// Description:
//    Defines a utility function to refine a Configuration
//------------------------------------------------------------------------------

#ifndef GENEVA_REFINE_CONFIGURATION_HPP
#define GENEVA_REFINE_CONFIGURATION_HPP

#include "Geneva/Core/Physics/Configuration.hpp"

namespace Geneva
{

bool refineConfiguration(Configuration& config, size_t max_iter = 16);

} // namespace Geneva

#endif // GENEVA_REFINE_CONFIGURATION_HPP
