//------------------------------------------------------------------------------
/// \file FileUtils.hpp
//
// Author(s):
//    Christian Bauer
//
// Copyright:
//    Copyright (C) 2018 Geneva Collaboration
//
//    This file is part of the Geneva MC framework. Geneva is distributed under
//    the terms of the GNU General Public License version 3 (GPLv3), see the
//    COPYING file that comes with this distribution for details.
//    Please respect the academic usage guidelines in the GUIDELINES file.
//
// Description:
//    Utilities for handling file names.
//------------------------------------------------------------------------------

#ifndef GENEVA_FILE_UTILS_HPP
#define GENEVA_FILE_UTILS_HPP

#include <string>

namespace Geneva
{

/// Returns \a path with a trailing '/' appended if neccessary.
std::string format_path(const std::string& path);

/// Returns \a tag with a leading '_' prepended if necessary.
std::string format_tag(const std::string& tag);

} // namespace Geneva

#endif // GENEVA_FILE_UTILS_HPP
