//------------------------------------------------------------------------------
/// \file UnitCubeRad.cpp
//
// Author(s):
//    Simone Alioli
//
// Copyright:
//    Copyright (C) 2014 LBNL
//
//    This file is part of the Geneva MC framework. Geneva is distributed under
//    the terms of the GNU General Public License version 3 (GPLv3), see the
//    COPYING file that comes with this distribution for details.
//    Please respect the academic usage guidelines in the GUIDELINES file.
//
// Description:
//    Implementation of class UnitCubeRad
//------------------------------------------------------------------------------

#include "Geneva/Core/Physics/UnitCubeRad.hpp"

#include <ostream>

namespace Geneva
{

//------------------------------------------------------------------------------
// Private member functions
//------------------------------------------------------------------------------

//------------------------------------------------------------------------------
// Streams info about UnitCubeRad to out.
std::ostream& UnitCubeRad::print(std::ostream& out) const
{
   if (_radType == kFSR) {
      out << "UnitCubeRad FSR: (" << _idMother << ") -> " << _idSister << " " << _idEmitted << "_\n";
   } else if (_radType == kISRA) {
      out << "UnitCubeRad ISRA: " << _idSister << " -> (" << _idMother << ") " << _idEmitted << "_\n";
   } else if (_radType == kISRB) {
      out << "UnitCubeRad ISRB: " << _idSister << " -> (" << _idMother << ") " << _idEmitted << "_\n";
   } else {
      assert(false);
   }
   out << "x1: " << _x1 << " x2: " << _x2 << " x3: " << _x3 << '\n';
   out << "weight: " << _weight << '\n';
   return out;
}

} // namespace Geneva
