//------------------------------------------------------------------------------
/// \file FileUtils.cpp
//
// Author(s):
//    Christian Bauer
//
// Copyright:
//    Copyright (C) 2018 Geneva Collaboration
//
//    This file is part of the Geneva MC framework. Geneva is distributed under
//    the terms of the GNU General Public License version 3 (GPLv3), see the
//    COPYING file that comes with this distribution for details.
//    Please respect the academic usage guidelines in the GUIDELINES file.
//
// Description:
//    Utilities for handling file names.
//------------------------------------------------------------------------------

#include "Geneva/Core/Utils/FileUtils.hpp"

namespace Geneva
{

//------------------------------------------------------------------------------
std::string format_path(const std::string& path)
{
   if (path.empty() || *path.rbegin() == '/')
      return path;

   return path + '/';
}

//------------------------------------------------------------------------------
std::string format_tag(const std::string& tag)
{
   if (tag.empty() || *tag.begin() == '_')
      return tag;

   return '_' + tag;
}

} // namespace Geneva
