//------------------------------------------------------------------------------
/// \file shower-pythia8.cpp
//
// Author(s):
//    Christian Bauer, Simone Alioli, Frank Tackmann
//
// Copyright:
//    Copyright (C) 2017 LBNL, CERN, DESY
//
//    This file is part of the Geneva MC framework. Geneva is distributed under
//    the terms of the GNU General Public License version 3 (GPLv3), see the
//    COPYING file that comes with this distribution for details.
//    Please respect the academic usage guidelines in the GUIDELINES file.
//
// Description:
//    Main program to run Pythia8 using event output from Geneva.
//------------------------------------------------------------------------------

#include "Geneva/Wrapper/GenevaWrapper.hpp"

#include <string>

//------------------------------------------------------------------------------
int main(int argc, const char* argv[])
{
   std::string args;
   for (int i = 1; i < argc; i++) {
      args += argv[i];
      args += ' ';
   }
   return Geneva::GenevaWrapper::instance().showerPythia8(argv[0], args);
}
